import type { ITasksContextObject } from "@webiny/tasks";
import type { IGetValidateImportFromUrlExecuteParams, IGetValidateImportFromUrlExecuteResponse, IGetValidateImportFromUrlUseCase } from "./abstractions/GetValidateImportFromUrlUseCase";
export interface IGetValidateImportFromUrlUseCaseParams {
    getTask: ITasksContextObject["getTask"];
}
export declare class GetValidateImportFromUrlUseCase implements IGetValidateImportFromUrlUseCase {
    private readonly getTask;
    constructor(params: IGetValidateImportFromUrlUseCaseParams);
    execute(params: IGetValidateImportFromUrlExecuteParams): Promise<IGetValidateImportFromUrlExecuteResponse | null>;
}
