import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks/types";
import type { IImportFromUrlDownload, IImportFromUrlDownloadInput, IImportFromUrlDownloadOutput } from "./abstractions/ImportFromUrlDownload";
import type { Context } from "../../types";
export declare class ImportFromUrlDownload<C extends Context = Context, I extends IImportFromUrlDownloadInput = IImportFromUrlDownloadInput, O extends IImportFromUrlDownloadOutput = IImportFromUrlDownloadOutput> implements IImportFromUrlDownload<C, I, O> {
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
}
