import type { IArchiver } from "./abstractions/Archiver";
import type { Archiver as BaseArchiver, ArchiverOptions } from "archiver";
export interface IArchiverConfig {
    format?: "zip";
    options: ArchiverOptions;
}
export declare class Archiver implements IArchiver {
    readonly archiver: BaseArchiver;
    constructor(config: IArchiverConfig);
}
export declare const createArchiver: (config: IArchiverConfig) => IArchiver;
