"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stripImportPath = exports.prependImportPath = void 0;
var _constants = require("../../constants");
const stripImportPath = key => {
  return key.replace(_constants.IMPORT_BASE_PATH, "").replace(/^\/+/, "");
};
exports.stripImportPath = stripImportPath;
const prependImportPath = key => {
  return `${_constants.IMPORT_BASE_PATH}/${key.replace(/^\/+/, "")}`;
};
exports.prependImportPath = prependImportPath;

//# sourceMappingURL=importPath.js.map