"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.step = exports.min = exports.max = exports.getBackOffSeconds = void 0;
const min = exports.min = 10;
const max = exports.max = 90;
const step = exports.step = 10;
/**
 * This function will increase the backoff time exponentially with each iteration, after the minimum backoff time, ofc...
 */
const getBackOffSeconds = iterations => {
  return Math.min(max, Math.max(min, iterations * step));
};
exports.getBackOffSeconds = getBackOffSeconds;

//# sourceMappingURL=getBackOffSeconds.js.map